
Redmine - Feature #15535

"Magic links" to notes: display note number in link text

2013-11-25 11:06 - Mehmet Soyturk

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

#2715 adds links to notes in a specific task. An example of such a link to the note closing the task: #2715-42.

I think that it would be better if the link text also contains the note number, like this: # 2715-42. It would be handy especially for the

notes near the end of the page, because in that case the note won't be displayed at the top of the screen after following the link.

This will also help with discoverability / learnability of the "Magic links to notes" feature. Right now, when I need to make such a link, I

have to search google to remember how to do that. Sometimes, I just don't even mind and paste the full URL as 

http://www.redmine.org/issues/2715#note-42.

Related issues:

Is duplicate of Redmine - Feature #12912: Issue-notes Redmine links: append a... Closed

History

#1 - 2013-11-25 11:14 - Mehmet Soyturk

Some context from our internal RedMine usage:

I see full URLs as http://www.redmine.org/issues/2715#note-42 are used

Some people just use plain words (because they don't know the feature exists?): the message 42 from #2715

Sometimes, plain words (or a full URL) are really needed, because otherwise people would not understand I have it about a specific message.

For example, assume that people already know what #2715 is about. If I say " #2715-42 states that... " then people just won't understand that I'm

having it about a specific message. I have to explicitly say "comment 42 from #2715-42 states that...".

#2 - 2013-11-26 00:56 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

This is a duplicate of #12912, which was fixed/implemented for 2.4.0.

#3 - 2013-11-26 00:56 - Mischa The Evil

- Is duplicate of Feature #12912: Issue-notes Redmine links: append actual note reference to rendered links added
